package com.bjzc.zjyxdxj;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.os.Bundle;
import com.tencent.bugly.crashreport.CrashReport;
import com.xuexiang.xui.XUI;
import com.yolanda.nohttp.NoHttp;
import com.zhy.autolayout.config.AutoLayoutConifg;
import org.litepal.LitePalApplication;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.multidex.MultiDex;

public class MyApplication extends LitePalApplication {
    public static Context context = null;

    @Override
    public void onCreate() {
        super.onCreate();
        XUI.init(this);
        NoHttp.initialize(this);
        NoHttp.setDefaultConnectTimeout(6 * 1000);
        NoHttp.setDefaultReadTimeout(60 * 1000);
        AutoLayoutConifg.getInstance().useDeviceSize();
        CrashReport.initCrashReport(getApplicationContext(), "54865112c3", true);
    }

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        MultiDex.install(base);
    }

}
